#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
use PureMessage::Manager::Modules;
use PureMessage::Manager::Request qw($REQUEST);
use PureMessage::Manager::Users qw(open_db list_users);
use strict;

my $m = PureMessage::Manager::Modules->new();

my $module = $m->get_default();
if ( $module ) {
	open_db();
	my $uid = $ENV{REMOTE_USER};
    my %users=list_users();
    ## passwordv2 is the flag for identification that given user has password generated with new cryptology algorithm 
    my $referrer = $ENV{HTTP_REFERER};
    if($referrer =~ /session_login\.cgi/ && !$users{$uid}{passwordv2}){
		print "Location: /change_password.cgi\n\n";
    }else{
        print "Location: /$module/\n\n";
    }
}
else {
    my $msg = "There are no PureMessage Manager modules installed or you don't have enough access permissions.";
    my $r = $REQUEST->get_response('PureMessage::Manager::Response', no_wrap=>1);

    $r->print("<center><br><br>");
    $r->dialog( style => 'dlg_info',
                msg   => $msg,
                title => "Error",
                buttons => [[ { type=>'image', icon=>'ok',text=>'Logout', href=>'/session_login.cgi?logout=1'} ]],
                );
    $r->print("</center>");
                                                                         
    $r->send;
}

1;