package PureMessage::Manager::PasswordGenerator;

use strict;
use warnings;
use Digest::SHA1 qw(sha1_hex);
use base 'Exporter';

our @EXPORT_OK = qw(mk_password);

sub mk_password {
	my $password = shift;
	# borrowed the salt from webmin for whatever it's worth
	my $salt = $_[0] || chr(int(rand(26))+65).chr(int(rand(26))+65);
	#return crypt($password, $salt); 
	## $_[1] is the third argument flag for identification that given user has password generated with new cryptology algorithm. We will symulteniusly continue for both crypt algorithm
	
	if($_[1] && $_[1] eq 'no'){
		# for Old user authentication verification crypt method is used.
		return crypt($password,$salt);
	}else{
		# for New admin user authentication verification  and admin user whose password changed with sha1_hex method are verified here.
	    return sha1_hex($password);
	}	
}

1;
